Package org.bukkit.persistence

# Interface PersistentDataAdapterContext

public interface PersistentDataAdapterContext
This interface represents the context in which the `PersistentDataType` can serialize and deserialize the passed values.

## Method Summary

Modifier and Type
Method
Description
`@NotNull PersistentDataContainer`
`newPersistentDataContainer()`
Creates a new and empty meta container instance.

## Method Details

### newPersistentDataContainer

@NotNull @NotNull PersistentDataContainer newPersistentDataContainer()
Creates a new and empty meta container instance.

Returns:
  the fresh container instance